WebScrapingAPI Docs

HomeDepot Search Types

We treat each Home Depot page as a Search Type, which allows us to generate better results.

Set the search type of your request with the required type=<SEARCH_TYPE> parameter.

Home Depot search types tell the API which Home Depot page structure to scrape and which response fields to return.

TypeDescription
productReturns product details from a Home Depot product page.

Product request

curl --get "https://ecom.webscrapingapi.com/v1" \
  --data-urlencode "api_key=<YOUR_API_KEY>" \
  --data-urlencode "engine=homedepot" \
  --data-urlencode "type=product" \
  --data-urlencode "product_id=310268685"

On this page